Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class PassageTally.OrderedVerseIterator

    java.lang.Object
      org.crosswire.jsword.passage.PassageTally.OrderedVerseIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  PassageTally

    private static final class PassageTally.OrderedVerseIterator

extends Object
implements Iterator

Iterate over the Verses in order of their rank in the tally

Author:
  Joe Walker

Field Summary
`private Iterator` | `it` The Iterator we are converting
`private PassageTally.TalliedVerse` | `last` So that we can get at the ranking of the given verse

Constructor Summary
`protected` | `PassageTally.OrderedVerseIterator(int[] board)` Find the first unused verse

Method Summary
`boolean` | `hasNext()`
`int` | `lastRank()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### last

    private PassageTally.TalliedVerse last

  So that we can get at the ranking of the given verse

### it

    private Iterator it

  The Iterator we are converting

Constructor Detail

### PassageTally.OrderedVerseIterator

    protected PassageTally.OrderedVerseIterator(int[] board)

  Find the first unused verse

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws NoSuchElementException

  Specified by:
    `next` in interface `Iterator`
  Throws:
    `NoSuchElementException`

### remove

    public void remove()
                throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException`

### lastRank

    public int lastRank()
                 throws NoSuchElementException

  Returns:
    the next Verse in the interation
  Throws:
    `NoSuchElementException` - if hasNext() == false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD